# app/bot/constants.py
from enum import Enum, auto

class UserStates(Enum):
    REGISTRATION = auto()
    MAIN_MENU = auto()
    SETTINGS_MENU = auto()
    SUBSCRIBE = auto()
    WAITING_INPUT = auto()
    UNSUBSCRIBE = auto()
    NOTIFICATION_MODE_SELECTION = auto()
    SYSTEM_SELECTION = auto()
